[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TParser.Create

Creates a new parser instance.

## Declaration

Source position: classesh.inc line 1516

`public constructor TParser.Create(`
`Stream: TStream`
`);`

## Description

Create creates a new TParser instance, using Stream as the stream to read data from, and reads the first token from the stream.

## Errors

If an error occours while parsing the first token, an EParserError exception is raised.

## See also

TParser.NextToken |  | Reads the next token and returns its type.
TParser.Token |  | The type of the current token.

Documentation generated on: Feb 26 2014